astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- NonLinearLSQFitter

# NonLinearLSQFitter

class `astropy.modeling.fitting.``NonLinearLSQFitter`

  Bases: `astropy.modeling.fitting.Fitter`

  A class performing non-linear least squares fitting using the Levenberg-Marquardt algorithm implemented in `scipy.optimize.leastsq`.

  Parameters:

  model : a fittable `ParametricModel`

  > model to fit to data

  Raises:

  ModelLinearityError :

  > A linear model is passed to a nonlinear fitter

  Attributes Summary

  `supported_constraints` | list() -> new empty list

  Methods Summary

  `errorfunc`(fps, *args) |

  Attributes Documentation

  `supported_constraints` = ['fixed', 'tied', 'bounds']

  Methods Documentation

  `errorfunc`(fps, *args)